Package com.pixelmed.event

# Class EventContext

java.lang.Object
com.pixelmed.event.EventContext

public class EventContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`EventContext(String description)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EventContext

public EventContext(String description)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` -

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`
Returns:
  hash code of context

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  description of context